<?php
if(!defined('VALID_CMS_ADMIN')) { die('ACCESS DENIED'); }
/*********************************************************************************************/
//																							 //
//                              InstantCMS v1.5   (c) 2009 FREEWARE                          //
//	 					  http://www.instantcms.ru/, info@instantcms.ru                      //
//                                                                                           //
// 						    written by Vladimir E. Obukhov, 2007-2009                        //
//                                                                                           //
/*********************************************************************************************/

function createMenuItem($menu, $id, $title){
    $inCore = cmsCore::getInstance();
	$rootid = dbGetField('cms_menu', 'parent_id=0', 'id');

	$ns     = $inCore->nestedSetsInit('cms_menu');
	$myid   = $ns->AddNode($rootid);
	
	$sql = "UPDATE cms_menu 
			SET menu='$menu', 
				title='$title', 
				link='/index.php?view=content&do=read&id=$id', 
				linktype='content', 
				linkid='$id', 
				target='_self', 
				published='1', 
				template='0', 
				allow_group='-1', 
				iconurl=''
			WHERE id = $myid";

	dbQuery($sql) or die(mysql_error().$sql);
	return true;
}

function applet_content(){

    $inCore = cmsCore::getInstance();
    $inUser = cmsUser::getInstance();

	//check access
	global $adminAccess;
	if (!$inCore->isAdminCan('admin/content', $adminAccess)) { cpAccessDenied(); }

    $cfg = $inCore->loadComponentConfig('content');

    $inCore->loadModel('content');
    $model = new cms_model_content();

    $inCore->loadLib('tags');
    $inCore->loadLib('content');

    $GLOBALS['cp_page_title'] = ' ';
    cpAddPathway(' ', 'index.php?view=content');
	
	$GLOBALS['cp_page_head'][] = '<script language="JavaScript" type="text/javascript" src="js/content.js"></script>';

	if (isset($_REQUEST['do'])) { $do = $_REQUEST['do']; } else { $do = 'list'; }
	if (isset($_REQUEST['id'])) { $id = (int)$_REQUEST['id']; } else { $id = -1; }
	if (isset($_REQUEST['co'])) { $co = $_REQUEST['co']; } else { $co = -1; } //current ordering, while resort
		
	if ($do == 'list'){
		$toolmenu = array();
		$toolmenu[0]['icon'] = 'new.gif';
		$toolmenu[0]['title'] = ' ';
		$toolmenu[0]['link'] = '?view=content&do=add';

		$toolmenu[1]['icon'] = 'edit.gif';
		$toolmenu[1]['title'] = ' ';
		$toolmenu[1]['link'] = "javascript:checkSel('?view=content&do=edit&multiple=1');";

		$toolmenu[2]['icon'] = 'show.gif';
		$toolmenu[2]['title'] = ' ';
		$toolmenu[2]['link'] = "javascript:checkSel('?view=content&do=show&multiple=1');";

		$toolmenu[3]['icon'] = 'hide.gif';
		$toolmenu[3]['title'] = ' ';
		$toolmenu[3]['link'] = "javascript:checkSel('?view=content&do=hide&multiple=1');";

		$toolmenu[4]['icon'] = 'delete.gif';
		$toolmenu[4]['title'] = ' ';
		$toolmenu[4]['link'] = "javascript:checkSel('?view=content&do=delete&multiple=1');";

		$toolmenu[5]['icon'] = 'reorder.gif';
		$toolmenu[5]['title'] = '  ';
		$toolmenu[5]['link'] = "javascript:checkSel('?view=content&do=saveorder');";

		$toolmenu[6]['icon'] = 'autoorder.gif';
		$toolmenu[6]['title'] = ' ';
		$toolmenu[6]['link'] = "?view=content&do=autoorder";

		$toolmenu[7]['icon'] = 'arhive.gif';
		$toolmenu[7]['title'] = ' ';
		$toolmenu[7]['link'] = "?view=arhive";

		$toolmenu[8]['icon'] = 'config.gif';
		$toolmenu[8]['title'] = '  ';
		$toolmenu[8]['link'] = "?view=components&do=config&link=content";

		$toolmenu[9]['icon'] = 'help.gif';
		$toolmenu[9]['title'] = '';
		$toolmenu[9]['link'] = "?view=help&topic=menu";

		cpToolMenu($toolmenu);

		//TABLE COLUMNS
		$fields = array();

		$fields[0]['title'] = 'id';			$fields[0]['field'] = 'id';				$fields[0]['width'] = '30';

		$fields[1]['title'] = '';		$fields[1]['field'] = 'pubdate';		$fields[1]['width'] = '80';		$fields[1]['filter'] = 15;
		$fields[1]['fdate'] = '%d/%m/%Y';

		$fields[1]['title'] = '';		$fields[1]['field'] = 'pubdate';		$fields[1]['width'] = '80';		$fields[1]['filter'] = 15;
		$fields[1]['fdate'] = '%d/%m/%Y';

		$fields[2]['title'] = '';	$fields[2]['field'] = 'title';			$fields[2]['width'] = '';		$fields[2]['link'] = '?view=content&do=edit&id=%id%';
		$fields[2]['filter'] = 15;

		$fields[3]['title'] = '';		$fields[3]['field'] = 'category_id';	$fields[3]['width'] = '300';	$fields[3]['filter'] = 1;
		$fields[3]['prc'] = 'cpCatById';	$fields[3]['filterlist'] = cpGetList('cms_category');
		
		$fields[4]['title'] = '';		$fields[4]['field'] = 'published';		$fields[4]['width'] = '100';	 
		$fields[5]['title'] = '';	$fields[5]['field'] = 'ordering';		$fields[5]['width'] = '100';	
		
		//ACTIONS
		$actions = array();
		$actions[0]['title'] = ' ';
		$actions[0]['icon']  = 'arhive_on.gif';
		$actions[0]['link']  = '?view=content&do=arhive_on&id=%id%';

		$actions[1]['title'] = '';
		$actions[1]['icon']  = 'edit.gif';
		$actions[1]['link']  = '?view=content&do=edit&id=%id%';

		$actions[2]['title'] = '';
		$actions[2]['icon']  = 'delete.gif';
		$actions[2]['confirm'] = ' ?';
		$actions[2]['link']  = '?view=content&do=delete&id=%id%';
				
		//Print table
		cpListTable('cms_content', $fields, $actions, 'is_arhive=0');		
	}
	
	if ($do == 'autoorder'){
		$sql = "SELECT * FROM cms_content ORDER BY ordering";
		$rs = mysql_query($sql);
		
		if (mysql_num_rows($rs)){
			$ord = 1;
			while ($item = mysql_fetch_assoc($rs)){
				mysql_query("UPDATE cms_content SET ordering = ".$ord." WHERE id=".$item['id']) ;
				$ord += 1;
			}				
		}
		header('location:index.php?view=content&sort=ordering');		
	}
	
	if ($do == 'arhive_on'){
		if(isset($_REQUEST['id'])) { 
			$id = (int)$_REQUEST['id'];
			$sql = "UPDATE cms_content SET is_arhive = 1 WHERE id = $id";
			dbQuery($sql) ;
			header('location:?view=content');
		}
	}

	if ($do == 'move_up'){
		if ($id >= 0){ dbMoveUp('cms_content', $id, $co); }
		header('location:'.$_SERVER['HTTP_REFERER']);
	}

	if ($do == 'move_down'){
		if ($id >= 0){ dbMoveDown('cms_content', $id, $co); }
		header('location:'.$_SERVER['HTTP_REFERER']);
	}

	if ($do == 'saveorder'){
		if(isset($_REQUEST['ordering'])) { 
			$ord = $_REQUEST['ordering'];
			$ids = $_REQUEST['ids'];
			
			foreach ($ord as $id=>$ordering){			
				dbQuery("UPDATE cms_content SET ordering = $ordering WHERE id = ".$ids[$id]) ;						
			}
			header('location:?view=content');

		}
	}

	if ($do == 'show'){
		if (!isset($_REQUEST['item'])){
			if ($id >= 0){ dbShow('cms_content', $id);  }
			echo '1'; exit;
		} else {
			dbShowList('cms_content', $_REQUEST['item']);	
			$inCore->redirectBack();			
		}
		
	}

	if ($do == 'hide'){
		if (!isset($_REQUEST['item'])){
			if ($id >= 0){ dbHide('cms_content', $id);  }
			echo '1'; exit;
		} else {
			dbHideList('cms_content', $_REQUEST['item']);				
			$inCore->redirectBack();
		}		
	}
	
	if ($do == 'delete'){
        if ($cfg['af_delete']){ include_once($_SERVER['DOCUMENT_ROOT'].'/components/forum/includes/forumcore.php'); }
		if (!isset($_REQUEST['item'])){
			if ($id >= 0){ 
				$model->deleteArticle($id, $cfg['af_delete']);
			}
		} else {
			$model->deleteArticles($_REQUEST['item'], $cfg['af_delete']);
		}
		header('location:?view=content');
	}
	
	if ($do == 'update'){
		if(isset($_REQUEST['id'])) {

			$id                        = $inCore->request('id', 'int', 0);
			$article['category_id']    = $inCore->request('category_id', 'int', 1);
			$article['title']          = $inCore->request('title', 'str');
			$article['showtitle']      = $inCore->request('showtitle', 'int', 1);
			$article['description']    = $_REQUEST['description'];
			$article['content']        = $_REQUEST['content'];
			$article['published']      = $inCore->request('published', 'int', 0);
			
            $article['meta_desc']      = $inCore->request('meta_desc', 'str');
			$article['meta_keys']      = $inCore->request('meta_keys', 'str');
            
			if ($inCore->inRequest('autokeys')){
				$article['meta_desc'] = $inCore->getKeywords($article['content']);
				$article['meta_desc'] = $article['title'];
			}
			
			$article['showdate']       = $inCore->request('showdate', 'int', 0);
			$article['showlatest']     = $inCore->request('showlatest', 'int', 0);
			$article['showpath']       = $inCore->request('showpath', 'int', 0);
			$article['comments']       = $inCore->request('comments', 'int', 0);
			$article['canrate']        = $inCore->request('canrate', 'int', 0);
			
			$article['enddate']        = $_REQUEST['enddate'];
			$article['is_end']         = $inCore->request('is_end', 'int', 0);
            $article['pagetitle']      = $inCore->request('pagetitle', 'str', '');
            $article['seolink']        = '';
			
			$article['tags']           = $inCore->request('tags', 'str');

            $olddate        = $_REQUEST['olddate'];
			$pubdate        = $_REQUEST['pubdate'];
			
            $date = explode('.', $pubdate);
            $article['pubdate'] = $date[2] . '-' . $date[1] . '-' . $date[0] . ' ' .date('H:i');
				
			$model->updateArticle($id, $article);

			if (!$inCore->inRequest('is_public')){
				$showfor = $_REQUEST['showfor'];				
                $model->setArticleAccess($id, $showfor);
			}
            
			if (!isset($_SESSION['editlist']) || @sizeof($_SESSION['editlist'])==0){
				header('location:?view=content');		
			} else {
				header('location:?view=content&do=edit');		
			}	
		}
	}
	
	if ($do == 'submit'){
        $article['category_id']     = $inCore->request('category_id', 'int', 1);
        $article['title']           = $inCore->request('title', 'str');
        $article['showtitle']       = $inCore->request('showtitle', 'int', 1);
        $article['description']     = $_REQUEST['description'];
        $article['content']         = $_REQUEST['content'];
        $article['published']       = $inCore->request('published', 'int', 0);

        $article['meta_desc']       = $inCore->request('meta_desc', 'str');
        $article['meta_keys']       = $inCore->request('meta_keys', 'str');

        if ($inCore->inRequest('autokeys')){
            $article['meta_keys'] = $inCore->getKeywords($article['content']);
            $article['meta_desc'] = $article['title'];
        }

        $article['showdate']        = $inCore->request('showdate', 'int', 0);
        $article['showlatest']      = $inCore->request('showlatest', 'int', 0);
        $article['showpath']        = $inCore->request('showpath', 'int', 0);
        $article['comments']        = $inCore->request('comments', 'int', 0);
        $article['canrate']         = $inCore->request('canrate', 'int', 0);

        $article['enddate']         = $_REQUEST['enddate'];
        $article['is_end']          = $inCore->request('is_end', 'int', 0);
        $article['pagetitle']       = $inCore->request('pagetitle', 'str', '');
        $article['seolink']         = '';

        $article['tags']            = $inCore->request('tags', 'str');

        $article['pubdate']         = $_REQUEST['pubdate'];
        $date                       = explode('.', $article['pubdate']);
		$article['pubdate']         = $date[2] . '-' . $date[1] . '-' . $date[0] . ' ' .date('H:i');
		
		$article['user_id']         = $inUser->id;

        $article['id']              = $model->addArticle($article);
		
		if (!$inCore->inRequest('is_public')){
			$showfor = $_REQUEST['showfor'];
			if (sizeof($showfor)>0  && !$inCore->inRequest('is_public')){
                $model->setArticleAccess($article['id'], $showfor);
            }
		}

        $inmenu = $inCore->request('createmenu', 'str', '');

		if ($inmenu){
			createMenuItem($inmenu, $article['id'], $article['title']);
		}

        if ($cfg['af_on'] && $category_id != $cfg['af_hidecat_id'] && !$inCore->inRequest('noforum')){
            cmsAutoCreateThread($article, $cfg);
        }

		header('location:?view=content');
	}	  

   if ($do == 'add' || $do == 'edit'){
   
	   	require('../includes/jwtabs.php');
		$GLOBALS['cp_page_head'][] = jwHeader();
 
 		$toolmenu = array();
		$toolmenu[0]['icon'] = 'save.gif';
		$toolmenu[0]['title'] = '';
		$toolmenu[0]['link'] = 'javascript:document.addform.submit();';

		$toolmenu[1]['icon'] = 'cancel.gif';
		$toolmenu[1]['title'] = '';
		$toolmenu[1]['link'] = 'javascript:history.go(-1);';

		cpToolMenu($toolmenu);
   
		if ($do=='add'){
			 echo '<h3> </h3>';
 	 		 cpAddPathway(' ', 'index.php?view=content&do=add');
		} else {
					 if(isset($_REQUEST['multiple'])){				 
						if (isset($_REQUEST['item'])){					
							$_SESSION['editlist'] = $_REQUEST['item'];
						} else {
							echo '<p class="error">  !</p>';
							return;
						}				 
					 }
						
					 $ostatok = '';
					
					 if (isset($_SESSION['editlist'])){
						$id = array_shift($_SESSION['editlist']);
						if (sizeof($_SESSION['editlist'])==0) { unset($_SESSION['editlist']); } else 
						{ $ostatok = '( : '.sizeof($_SESSION['editlist']).')'; }
					 } else { $id = (int)$_REQUEST['id']; }
	
					 $sql = "SELECT *, (TO_DAYS(enddate) - TO_DAYS(CURDATE())) as daysleft, DATE_FORMAT(pubdate, '%d.%m.%Y') as pubdate
					 		 FROM cms_content 
							 WHERE id = $id LIMIT 1";
					 $result = dbQuery($sql) ;
					 if (mysql_num_rows($result)){
						$mod = mysql_fetch_assoc($result);
					 }
					
					 echo '<h3>  '.$ostatok.'</h3>';
 					 cpAddPathway($mod['title'], 'index.php?view=menu&do=edit&id='.$mod['id']);
			}   
	?>
<form id="addform" name="addform" method="post" action="index.php">
<input type="hidden" name="view" value="content" />
  <?php ob_start(); ?>
  <table width="605" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td>{tab=}
        <table width="605" border="0" cellpadding="0" cellspacing="10" class="proptable">
            <tr>
              <td valign="top"><strong> :</strong><br />
              <span class="hinttext">  </span></td>
              <td width="250" valign="top"><input name="title" type="text" id="title" style="width:250px" value="<?php echo @$mod['title'];?>" /></td>
            </tr>
            <tr>
              <td valign="top"><strong>   : </strong></td>
              <td valign="top"><input name="showtitle" type="radio" value="1" checked="checked" <?php if (isset($mod['showtitle'])) { if($mod['showtitle']){echo 'checked="checked"';} } else { echo 'checked="checked"'; } ?> />

  <label>
  <input name="showtitle" type="radio" value="0"  <?php if (isset($mod['showtitle'])) { if(@!$mod['showtitle']) { echo 'checked="checked"'; } }?> />
</label></td>
            </tr>
            <tr>
              <td valign="top"><strong> :</strong><br />
              <span class="hinttext">   </span></td>
              <td valign="top"><select name="category_id" size="8" id="category_id" style="width:250px">
                <option value="1" <?php if (@$mod['category_id']==1 || !isset($mod['category_id'])) { echo 'selected'; }?>>--   --</option>
                <?php
                    if (isset($mod['category_id'])){
                        echo $inCore->getListItemsNS('cms_category', $mod['category_id']);
                    } else {
                        echo $inCore->getListItemsNS('cms_category');
                    }
                ?>
              </select>
              <?php  if (isset($mod['category_id'])) { echo '<a href="?view=cats&do=edit&id='.$mod['category_id'].'"><img src="images/icons/edit.png" border="0" alt=" "/></a>'; } ?></td>
            </tr>
            <tr>
              <td valign="top"><strong>:</strong></td>
              <td valign="top"><select name="showpath" id="showpath" style="width:250px">
                  <option value="0" <?php if (@!$mod['showpath']) { echo 'selected'; } ?>>  </option>
                  <option value="1" <?php if (@$mod['showpath']) { echo 'selected'; } ?>>   </option>
              </select></td>
            </tr>
            <tr>
              <td valign="top"><strong>:</strong></td>
              <td valign="top">
			  	<?php 
						if ($do=='add'){
							echo $_SESSION['user']['nickname']; 
						} else {
							echo '<a href="?view=users&do=edit&id='.$mod['user_id'].'">'.cpUserNick($mod['user_id']).'</a>';
						}
				?>			  </td>
            </tr>
            <tr>
              <td valign="top"><strong> ?</strong></td>
              <td valign="top"><input name="published" type="radio" value="1" checked="checked" <?php if (@$mod['published']) { echo 'checked="checked"'; } ?> />
                
                <label>
                <input name="published" type="radio" value="0"  <?php if (@!$mod['published']) { echo 'checked="checked"'; } ?> />
                  </label></td>
            </tr>
            <tr>
              <td valign="top"><strong> : </strong></td>
              <td valign="top"><input name="pubdate" type="text" id="pubdate" style="width:220px" <?php if(@!$mod['pubdate']) { echo 'value="'.date('Y-m-d').'"'; } else { echo 'value="'.$mod['pubdate'].'"'; } ?>/>
			  <?php 
					//include javascript
					$GLOBALS['cp_page_head'][] = '<script language="JavaScript" type="text/javascript" src="/includes/jquery/jquery.js"></script>';
					$GLOBALS['cp_page_head'][] = '<script language="JavaScript" type="text/javascript" src="/includes/jquery/datepicker/date_ru_win1251.js"></script>';
					$GLOBALS['cp_page_head'][] = '<script language="JavaScript" type="text/javascript" src="/includes/jquery/datepicker/datepicker.js"></script>';		
					$GLOBALS['cp_page_head'][] = '<link href="/includes/jquery/datepicker/datepicker.css" rel="stylesheet" type="text/css" />';
					if (@!$mod['pubdate']){					
						$GLOBALS['cp_page_head'][] = '<script type="text/javascript">$(document).ready(function(){$(\'#pubdate\').datePicker({startDate:\'01/01/1996\'}).val(new Date().asString()).trigger(\'change\');});</script>';
					} else {
						$GLOBALS['cp_page_head'][] = '<script type="text/javascript">$(document).ready(function(){$(\'#pubdate\').datePicker({startDate:\'01/01/1996\'}).val(\''.$mod['pubdate'].'\').trigger(\'change\');});</script>';
					}
			  ?>
			  <input type="hidden" name="olddate" value="<?php echo @$mod['pubdate']?>"/>			  </td>
            </tr>
            <tr>
              <td valign="top"><strong> ? </strong><br />
              <span class="hinttext">  </span></td>
              <td valign="top"><input name="showdate" type="radio" value="1" checked="checked" <?php if (@$mod['showdate']) { echo 'checked="checked"'; } ?> />
                
                <label>
                <input name="showdate" type="radio" value="0"  <?php if (@!$mod['showdate']) { echo 'checked="checked"'; } ?> />
                  </label></td>
            </tr>
            <tr>
              <td valign="top"><strong>  &quot; &quot;? </strong><br />
              <span class="hinttext">  </span></td>
              <td valign="top"><input name="showlatest" type="radio" value="1" checked="checked" <?php if (@$mod['showlatest']) { echo 'checked="checked"'; } ?> />
                
                <label>
                <input name="showlatest" type="radio" value="0"  <?php if (@!$mod['showlatest']) { echo 'checked="checked"'; } ?> />
                  </label></td>
            </tr>
            <tr>
              <td valign="top"><strong> : </strong><br />
              <span class="hinttext">  </span></td>
              <td valign="top"><input name="comments" type="radio" value="1" checked="checked" <?php if (@$mod['comments']) { echo 'checked="checked"'; } ?> />
                
                <label>
                <input name="comments" type="radio" value="0"  <?php if (@!$mod['comments']) { echo 'checked="checked"'; } ?> />
                  </label></td>
            </tr>
            <tr>
              <td valign="top"><strong> : </strong><br />
              <span class="hinttext">  </span></td>
              <td valign="top"><input name="canrate" type="radio" value="1" checked="checked" <?php if (@$mod['canrate']) { echo 'checked="checked"'; } ?> />
                
                <label>
      <input name="canrate" type="radio" value="0"  <?php if (@!$mod['canrate']) { echo 'checked="checked"'; } ?> />
                  </label></td>
            </tr>
			<?php if ($do=='add'){ ?>
            <tr>
              <td valign="top"><strong>   :</strong><br />
			  <span class="hinttext">     ,   </span></td>
              <td valign="top"><label></label>
                <select name="createmenu" id="createmenu" style="width:250px">
                  <option value="0" selected="selected">--   --</option>
                  <option value="mainmenu"> </option>
                  <option value="menu1">  1</option>
                  <option value="menu2">  2</option>
                  <option value="menu3">  3</option>
                  <option value="menu4">  4</option>
                  <option value="menu5">  5</option>
                </select></td>
            </tr>
			<?php } ?>
            <tr>
              <td valign="top"><strong> : </strong><br />
              <span class="hinttext"> ,  </span></td>
              <td valign="top"><input name="tags" type="text" id="tags" style="width:250px" value="<?php if (isset($mod['id'])) { echo cmsTagLine('content', $mod['id'], false); } ?>" /></td>
            </tr>
        </table>
        {tab=}
        <table width="605" border="0" cellpadding="0" cellspacing="10" class="proptable">
          <tr>
            <td valign="top"><strong> :</strong></td>
            <td width="250" valign="top"><select name="is_end" id="is_end" style="width:250px">
              <option value="0" <?php if (@!$mod['is_end']) { echo 'selected'; } ?>> </option>
              <option value="1" <?php if (@$mod['is_end']) { echo 'selected'; } ?>>  </option>
            </select>            </td>
          </tr>
          <tr>
            <td valign="top"><strong> :</strong><br />
            <span class="hinttext">  --</span></td>
            <td width="250"><label>
              <input name="enddate" type="text" style="width:230px" <?php if(@!$mod['is_end']) { echo 'value="'.date('Y-m-d').'"'; } else { echo 'value="'.$mod['enddate'].'"'; } ?>id="enddate" />
			  <?php if(@$mod['is_end']) { echo ' <b>:</b> '.$mod['daysleft'].' '; }?>
            </label></td>
          </tr>
        </table>
        {tab=SEO}
        <table width="605" border="0" cellpadding="0" cellspacing="10" class="proptable">
            <tr>
              <td valign="top"> :<br />
              <span class="hinttext">  ,<br/>   </span></td>
              <td width="350"><input name="pagetitle" type="text" id="pagetitle" style="width:350px" value="<?php if (isset($mod['pagetitle'])) { echo $mod['pagetitle']; } ?>" /></td>
            </tr>
            <tr>
              <td valign="top">:<br />
              <span class="hinttext">  250 </span><br /></td>
              <td width="350"><textarea name="meta_desc" style="width:350px" rows="3" id="meta_desc"><?php echo @$mod['meta_desc'];?></textarea></td>
            </tr>
            <tr>
              <td valign="top"> :<br />
                  <span class="hinttext"> , 10-15  </span></td>
              <td>
					<div><textarea name="meta_keys" style="width:350px" rows="3" id="meta_keys"><?php echo @$mod['meta_keys'];?></textarea></div>
					<div><a href="javascript:getKeywords('content')"></a></div>
              </td>
            </tr>
        </table>
        {tab=}
        <table width="605" border="0" cellpadding="0" cellspacing="10" class="proptable">
            <tr>
              <td valign="top"> :<br />
              <span class="hinttext"> ,    .<br /> ,      .</span></td>
              <td width="250" valign="top"><?php
  					$sql = "SELECT * FROM cms_user_groups";
					$result = dbQuery($sql) ;
					
					$style = 'style="display: none"';
					$public = 'checked="checked"';
					
					if ($do=='edit'){	
						$sql2 = "SELECT * FROM cms_content_access WHERE content_id = ".$mod['id']." AND content_type = 'material'";
						$result2 = dbQuery($sql2);
						$ord = array();
						if (mysql_num_rows($result2)){
							$public = '';
							$style = '';
							while ($r = mysql_fetch_assoc($result2)){
								$ord[] = $r['group_id'];
							}					
						}
					}

				  ?>
                  <input name="is_public" type="checkbox" id="is_public" onclick="checkGroupList()" value="1" <?php echo $public?> />
              <label>  </label></td>
            </tr>
        </table>
        <table width="605" border="0" cellpadding="0" cellspacing="10" class="proptable" id="grp" <?php echo $style?>>
            <tr>
              <td valign="top"> :<br />
              <span class="hinttext"> ,    .<br />
									   ,  CTRL.</span></td>
              <td width="250" valign="top"><?php				
					echo '<select style="width: 250px" name="showfor[]" size="6" multiple="multiple">';
					
					if (mysql_num_rows($result)){
						while ($item=mysql_fetch_assoc($result)){
							echo '<option value="'.$item['id'].'"';							
							if ($do=='edit'){
								if (inArray($ord, $item['id'])){
								 echo 'selected';
								}							
							}
							
							echo '>';							
							echo $item['title'].'</option>';
						}
					}
					echo '</select>';
				?>              </td>
            </tr>
        </table>
      {/tabs}</td>
    </tr>
  </table>
  <?php echo jwTabs(ob_get_clean()); ?>
  <table width="100%" border="0">
    <tr>
      <td><?php

                echo '<h3> </h3>';
                $inCore->insertEditor('description', $mod['description'], '300', '99%');

				echo '<h3>  </h3>';	
				
                insertPanel();
                $inCore->insertEditor('content', $mod['content'], '500', '99%');

			?></td>
    </tr>
  </table>
	<div>
		<label>
			<input type="checkbox" name="autokeys" <?php if ($do=='add'){ ?>checked="checked"<?php } ?>/>      
		</label>
	</div>
    <?php if ($cfg['af_on'] && $do=='add') { ?>
    <div>
		<label>
			<input type="checkbox" name="noforum" />        
		</label>
	</div>
    <?php } ?>
  <div style="margin-top:6px;">
    <input name="add_mod" type="submit" id="add_mod" <?php if ($do=='add') { echo 'value=" "'; } else { echo 'value=" "'; } ?> />
    <span style="margin-top:15px">
      <input name="back" type="button" id="back" value="" onclick="window.history.back();"/>
    </span>
    <input name="do" type="hidden" id="do" <?php if ($do=='add') { echo 'value="submit"'; } else { echo 'value="update"'; } ?> />
    <?php
		  	if ($do=='edit'){
                echo '<input name="id" type="hidden" value="'.$mod['id'].'" />';
			}
		  ?>
  </div>
</form>
<?php
   }
}

?>