<?php
if(!defined('VALID_CMS_ADMIN')) { die('ACCESS DENIED'); }
/*********************************************************************************************/
//																							 //
//                              InstantCMS v1.5   (c) 2009 FREEWARE                          //
//	 					  http://www.instantcms.ru/, info@instantcms.ru                      //
//                                                                                           //
// 						    written by Vladimir E. Obukhov, 2007-2009                        //
//                                                                                           //
/*********************************************************************************************/

function createMenuItem($menu, $id, $title){
    $inCore = cmsCore::getInstance();

	$rootid = dbGetField('cms_menu', 'parent_id=0', 'id');

	$ns = $inCore->nestedSetsInit('cms_menu');
	$myid = $ns->AddNode($rootid);
	
	$sql = "UPDATE cms_menu 
			SET menu='$menu', 
				title='$title', 
				link='/index.php?view=content&do=view&id=$id', 
				linktype='category',
				linkid='$id', 
				target='_self', 
				published='1', 
				template='0', 
				allow_group='-1', 
				iconurl=''
			WHERE id = $myid";

	dbQuery($sql) or die(mysql_error().$sql);
	return true;
}

function applet_cats(){

    $inCore = cmsCore::getInstance();

	$GLOBALS['cp_page_title'] = ' ';
 	cpAddPathway(' ', 'index.php?view=cats');	

	if (isset($_REQUEST['do'])) { $do = $_REQUEST['do']; } else { $do = 'list'; }
	if (isset($_REQUEST['id'])) { $id = (int)$_REQUEST['id']; } else { $id = -1; }
	if (isset($_REQUEST['co'])) { $co = $_REQUEST['co']; } else { $co = -1; } //current ordering, while resort
		
	if ($do == 'list'){
		$toolmenu = array();
		$toolmenu[0]['icon'] = 'new.gif';
		$toolmenu[0]['title'] = ' ';
		$toolmenu[0]['link'] = '?view=cats&do=add';

		$toolmenu[1]['icon'] = 'edit.gif';
		$toolmenu[1]['title'] = ' ';
		$toolmenu[1]['link'] = "javascript:checkSel('?view=cats&do=edit&multiple=1');";

		$toolmenu[2]['icon'] = 'show.gif';
		$toolmenu[2]['title'] = ' ';
		$toolmenu[2]['link'] = "javascript:checkSel('?view=cats&do=show&multiple=1');";

		$toolmenu[3]['icon'] = 'hide.gif';
		$toolmenu[3]['title'] = ' ';
		$toolmenu[3]['link'] = "javascript:checkSel('?view=cats&do=hide&multiple=1');";

		$toolmenu[4]['icon'] = 'delete.gif';
		$toolmenu[4]['title'] = ' ';
		$toolmenu[4]['link'] = "javascript:checkSel('?view=cats&do=delete&multiple=1');";

		$toolmenu[5]['icon'] = 'reorder.gif';
		$toolmenu[5]['title'] = '  ';
		$toolmenu[5]['link'] = "javascript:checkSel('?view=cats&do=saveorder');";

		$toolmenu[6]['icon'] = 'config.gif';
		$toolmenu[6]['title'] = '  ';
		$toolmenu[6]['link'] = "?view=components&do=config&link=content";

		$toolmenu[7]['icon'] = 'help.gif';
		$toolmenu[7]['title'] = '';
		$toolmenu[7]['link'] = "?view=help&topic=cats";

		cpToolMenu($toolmenu);

		//TABLE COLUMNS
		$fields = array();

		$fields[0]['title'] = 'ID';			$fields[0]['field'] = 'id';			$fields[0]['width'] = '30';

		$fields[1]['title'] = '';	$fields[1]['field'] = 'title';		$fields[1]['width'] = '';		$fields[1]['link'] = '?view=cats&do=edit&id=%id%';
		$fields[1]['filter'] = 15;

		$fields[2]['title'] = '';	$fields[2]['field'] = 'parent_id';		$fields[2]['width'] = '300';	
		$fields[2]['prc'] = 'cpCatById'; 	$fields[2]['filter'] = 1;		$fields[2]['filterlist'] = cpGetList('cms_category');

		$fields[3]['title'] = '';		$fields[3]['field'] = 'published';	$fields[3]['width'] = '100';	
		
		//ACTIONS
		$actions = array();
		$actions[0]['title'] = ' ';
		$actions[0]['icon']  = 'add.gif';
		$actions[0]['link']  = '?view=content&do=add&to=%id%';

		$actions[1]['title'] = '';
		$actions[1]['icon']  = 'edit.gif';
		$actions[1]['link']  = '?view=cats&do=edit&id=%id%';

		$actions[2]['title'] = '';
		$actions[2]['icon']  = 'delete.gif';
		$actions[2]['confirm'] = ' ?    .';
		$actions[2]['link']  = '?view=cats&do=delete&id=%id%';
				
		//Print table
		cpListTable('cms_category', $fields, $actions, 'parent_id>0', 'NSLeft');		
	}
	
	function reorder(){
		$sql = "SELECT * FROM cms_category ORDER BY NSLeft";
		$rs = mysql_query($sql) ;
		
		if (mysql_num_rows($rs)){
			$level = array();
			while ($item = mysql_fetch_assoc($rs)){
				if (isset($level[$item['NSLevel']])){
					$level[$item['NSLevel']] += 1;
				} else {
					$level[] = 1;
				}
				mysql_query("UPDATE cms_category SET ordering = ".$level[$item['NSLevel']]." WHERE id=".$item['id']) ;
			}				
		}
	}
	
	if ($do == 'saveorder'){
		if(isset($_REQUEST['ordering'])) { 
			$ord = $_REQUEST['ordering'];
			$ids = $_REQUEST['ids'];
			
			foreach ($ord as $id=>$ordering){			
				dbQuery("UPDATE cms_category SET ordering = $ordering WHERE id = ".$ids[$id]) ;						
			}
			header('location:?view=cats');

		}
	}

	if ($do == 'show'){
		if (!isset($_REQUEST['item'])){
			if ($id >= 0){ dbShow('cms_category', $id);  }
			echo '1'; exit;
		} else {
			dbShowList('cms_category', $_REQUEST['item']);				
			$inCore->redirectBack();
		}
		
	}

	if ($do == 'hide'){
		if (!isset($_REQUEST['item'])){
			if ($id >= 0){ dbHide('cms_category', $id);  }
			echo '1'; exit;
		} else {
			dbHideList('cms_category', $_REQUEST['item']);		
			$inCore->redirectBack();		
		}
		
	}
	
	if ($do == 'delete'){
		if (!isset($_REQUEST['item'])){
			if ($id >= 0){ dbDeleteNS('cms_category', $id);  }
		} else {
			dbDeleteListNS('cms_category', $_REQUEST['item']);				
		}
		reorder();
		header('location:?view=cats');
	}
	
	if ($do == 'update'){
		if(isset($_REQUEST['id'])) { 

			$id				= (int)$_REQUEST['id'];		
			$title			= $inCore->request('title', 'str');
			$parent_id		= $inCore->request('parent_id', 'int');
			$description	= $inCore->request('description', 'html');
			$published 		= (int)$_REQUEST['published'];
			$showdate 		= (int)$_REQUEST['showdate'];
			$showcomm 		= (int)$_REQUEST['showcomm'];
			
			$orderby 		= $inCore->request('orderby', 'str');
			$orderto		= $inCore->request('orderto', 'str');
			
			$modgrp_id 		= (int)$_REQUEST['modgrp_id'];
			
			$maxcols 		= (int)$_REQUEST['maxcols'];
			
			$showtags 		= (int)$_REQUEST['showtags'];
			$showrss 		= (int)$_REQUEST['showrss'];
			$showdesc 		= (int)$_REQUEST['showdesc'];
			
			$is_public 		= (int)$_REQUEST['is_public'];
			
			$album = array();
			$album['id']       = (int)$_REQUEST['album_id'];
			$album['titles']   = $_REQUEST['album_titles'];
			$album['header']   = $_REQUEST['album_header'];
			$album['orderby']  = $_REQUEST['album_orderby'];
			$album['orderto']  = $_REQUEST['album_orderto'];
			$album['maxcols']  = (int)$_REQUEST['album_maxcols'];
			$album['max']	   = (int)$_REQUEST['album_max'];
			
			$photoalbum = serialize($album);					
					
			$ns = $inCore->nestedSetsInit('cms_category');
			$ns->MoveNode($id, $parent_id);			
					
			$sql = "UPDATE cms_category 
					SET parent_id=$parent_id,
						title='$title', 
						description='$description',
						published=$published,
						showdate=$showdate,
						showcomm=$showcomm,
						orderby='$orderby',
						orderto='$orderto',
						modgrp_id='$modgrp_id',
						maxcols='$maxcols',
						showtags=$showtags,
						showrss=$showrss,
						showdesc=$showdesc,
						is_public=$is_public,
						photoalbum='$photoalbum'
					WHERE id = $id
					LIMIT 1";
			dbQuery($sql) ;	
			reorder();						
			
			if (!isset($_SESSION['editlist']) || @sizeof($_SESSION['editlist'])==0){
				header('location:?view=cats');		
			} else {
				header('location:?view=cats&do=edit');		
			}
		}
	}
	
	if ($do == 'submit'){
		$parent_id = $_REQUEST['parent_id'];
		$title = $inCore->strClear($_REQUEST['title']);
		$description = $inCore->strClear($_REQUEST['description']);
		$published = $_REQUEST['published'];
		$showdate = $_REQUEST['showdate'];
		
		$orderby = $_REQUEST['orderby'];
		$orderto = $_REQUEST['orderto'];	
		
		$modgrp_id = $_REQUEST['modgrp_id'];	
		$maxcols = intval($_REQUEST['maxcols']);
		
		$showtags = $_REQUEST['showtags'];
		$showrss = $_REQUEST['showrss'];
		$showdesc = $_REQUEST['showdesc'];	
		
		$is_public = $_REQUEST['is_public'];	

			$album = array();
			$album['id'] = $_REQUEST['album_id'];
			$album['titles'] = $_REQUEST['album_titles'];
			$album['header'] = $_REQUEST['album_header'];
			$album['orderby'] = $_REQUEST['album_orderby'];
			$album['orderto'] = $_REQUEST['album_orderto'];
			$album['maxcols'] = $_REQUEST['album_maxcols'];
			$album['max'] = $_REQUEST['album_max'];
					
			$photoalbum = serialize($album);
		
		$ns = $inCore->nestedSetsInit('cms_category');
		$myid = $ns->AddNode($parent_id);
		
		if ($myid){
			$sql = "UPDATE cms_category 
					SET parent_id='$parent_id', 
						title='$title', 
						description='$description', 
						published='$published', 
						showdate='$showdate', 
						orderby='$orderby', 
						orderto='$orderto', 
						modgrp_id='$modgrp_id',
						maxcols='$maxcols',
						showtags=$showtags,
						showrss=$showrss,
						showdesc=$showdesc,
						is_public=$is_public,
						photoalbum='$photoalbum'
					WHERE id = $myid";
			dbQuery($sql) ;
		}
		reorder();

        $inmenu = $inCore->request('createmenu', 'str', '');

		if ($inmenu){
			createMenuItem($inmenu, $myid, $title);
		}
	
		header('location:?view=cats');		
	}	  

   if ($do == 'add' || $do == 'edit'){
 
	 	require('../includes/jwtabs.php');
		$GLOBALS['cp_page_head'][] = jwHeader();
 
 		$toolmenu = array();
		$toolmenu[0]['icon'] = 'save.gif';
		$toolmenu[0]['title'] = '';
		$toolmenu[0]['link'] = 'javascript:document.addform.submit();';

		$toolmenu[1]['icon'] = 'cancel.gif';
		$toolmenu[1]['title'] = '';
		$toolmenu[1]['link'] = 'javascript:history.go(-1);';

		cpToolMenu($toolmenu);
   
		if ($do=='add'){
			 echo '<h3> </h3>';
 	 		 cpAddPathway(' ', 'index.php?view=cats&do=add');
		} else {
					 if(isset($_REQUEST['multiple'])){				 
						if (isset($_REQUEST['item'])){					
							$_SESSION['editlist'] = $_REQUEST['item'];
						} else {
							echo '<p class="error">  !</p>';
							return;
						}				 
					 }
						
					 $ostatok = '';
					
					 if (isset($_SESSION['editlist'])){
						$id = array_shift($_SESSION['editlist']);
						if (sizeof($_SESSION['editlist'])==0) { unset($_SESSION['editlist']); } else 
						{ $ostatok = '( : '.sizeof($_SESSION['editlist']).')'; }
					 } else { $id = (int)$_REQUEST['id']; }
	
					 $sql = "SELECT * FROM cms_category WHERE id = $id LIMIT 1";
					 $result = dbQuery($sql) ;
					 if (mysql_num_rows($result)){
						$mod = mysql_fetch_assoc($result);
						if(@$mod['photoalbum']){
							$mod['photoalbum'] = unserialize($mod['photoalbum']);
						}
					 }
					
					 echo '<h3>  '.$ostatok.'</h3>';
 					 cpAddPathway($mod['title'], 'index.php?view=menu&do=edit&id='.$mod['id']);
			}   
	?>
<form id="addform" name="addform" method="post" action="index.php">
<input type="hidden" name="view" value="cats" />
 <?php ob_start(); ?>
 {tab=}
  <table width="550" border="0" cellpadding="0" cellspacing="10" class="proptable">
    <tr>
      <td valign="top"><strong> :</strong><br />
      <span class="hinttext">  </span></td>
      <td width="250" valign="top"><input name="title" type="text" id="title" style="width:250px" value="<?php echo @$mod['title'];?>" /></td>
    </tr>
    <tr>
      <td valign="top"><strong> :</strong><br />
      <span class="hinttext">   ,   . </span></td>
      <td valign="top"><select name="parent_id" size="8" id="parent_id" style="width:250px">
	  	<?php  //FIND MENU ROOT
			$rootid = dbGetField('cms_category', 'parent_id=0', 'id');
		?>
        <option value="<?php echo $rootid?>" <?php if (@$mod['parent_id']==$rootid || !isset($mod['parent_id'])) { echo 'selected'; }?>>--   --</option>
        <?php
            if (isset($mod['parent_id'])){
                echo $inCore->getListItemsNS('cms_category', $mod['parent_id']);
            } else {
                echo $inCore->getListItemsNS('cms_category');
            }
        ?>
      </select></td>
    </tr>
    <tr>
      <td valign="top"><strong> :</strong><br />
      <span class="hinttext">       </span></td>
		  <?php if (!isset($mod['orderby'])) { $mod['orderby'] = 'ordering'; } ?>
      <td valign="top"><select name="orderby" id="orderby" style="width:250px">
        <option value="pubdate" <?php if(@$mod['orderby']=='pubdate') { echo 'selected'; } ?>> </option>
        <option value="title" <?php if(@$mod['orderby']=='title') { echo 'selected'; } ?>> </option>
        <option value="ordering" <?php if(@$mod['orderby']=='ordering') { echo 'selected'; } ?>> </option>
        <option value="hits" <?php if(@$mod['orderby']=='hits') { echo 'selected'; } ?>> </option>
      </select>
          <select name="orderto" id="orderto" style="width:250px">
            <option value="ASC" <?php if(@$mod['orderto']=='ASC') { echo 'selected'; } ?>> </option>
            <option value="DESC" <?php if(@$mod['orderto']=='DESC') { echo 'selected'; } ?>> </option>
          </select>      </td>
    </tr>
    <tr>
      <td><strong>    :</strong></td>
	  <?php if (!isset($mod['maxcols'])) { $mod['maxcols'] = 1; } ?>
      <td><input name="maxcols" type="text" id="maxcols" size="5" value="<?php echo @$mod['maxcols'];?>"/>
        </td>
    </tr>
    <tr>
      <td valign="top"><strong> ?</strong></td>
	  <?php if (!isset($mod['published'])) { $mod['published'] = 1; } ?>
      <td valign="top"><input name="published" type="radio" value="1" checked="checked" <?php if (@$mod['published']) { echo 'checked="checked"'; } ?> />
        
        <label>
          <input name="published" type="radio" value="0"  <?php if (@!$mod['published']) { echo 'checked="checked"'; } ?> />
          </label></td>
    </tr>
    <tr>
	 <?php if (!isset($mod['showdate'])) { $mod['showdate'] = 0; } ?>
      <td valign="top"><strong> :</strong><br />
      <span class="hinttext">    </span></td>
      <td valign="top"><input name="showdate" type="radio" value="1" checked="checked" <?php if (@$mod['showdate']) { echo 'checked="checked"'; } ?> />
        
        <label>
          <input name="showdate" type="radio" value="0"  <?php if (@!$mod['showdate']) { echo 'checked="checked"'; } ?> />
          </label></td>
    </tr>
    <tr>
	 <?php if (!isset($mod['showcomm'])) { $mod['showcomm'] = 0; } ?>
      <td valign="top"><strong>  : </strong><br />
      <span class="hinttext">    </span></td>
      <td valign="top"><input name="showcomm" type="radio" value="1" checked="checked" <?php if (@$mod['showcomm']) { echo 'checked="checked"'; } ?> />

  <label>
  <input name="showcomm" type="radio" value="0"  <?php if (@!$mod['showcomm']) { echo 'checked="checked"'; } ?> />
</label></td>
    </tr>
    <tr>
	<?php if (!isset($mod['showdesc'])) { $mod['showdesc'] = 0; } ?>
      <td valign="top"><strong>  : </strong></td>
      <td valign="top"><input name="showdesc" type="radio" value="1" checked="checked" <?php if (@$mod['showdesc']) { echo 'checked="checked"'; } ?> />
        
        <label>
      <input name="showdesc" type="radio" value="0"  <?php if (@!$mod['showdesc']) { echo 'checked="checked"'; } ?> />
          </label></td>
    </tr>
    <tr>
	<?php if (!isset($mod['showtags'])) { $mod['showtags'] = 0; } ?>
      <td valign="top"><strong>  : </strong></td>
      <td valign="top"><input name="showtags" type="radio" value="1" checked="checked" <?php if (@$mod['showtags']) { echo 'checked="checked"'; } ?> />

  <label>
  <input name="showtags" type="radio" value="0"  <?php if (@!$mod['showtags']) { echo 'checked="checked"'; } ?> />
</label></td>
    </tr>
    <tr>
	<?php if (!isset($mod['showrss'])) { $mod['showrss'] = 1; } ?>
      <td valign="top"><strong>  RSS:</strong></td>
      <td valign="top"><input name="showrss" type="radio" value="1" checked="checked" <?php if (@$mod['showrss']) { echo 'checked="checked"'; } ?> />

  <label>
  <input name="showrss" type="radio" value="0"  <?php if (@!$mod['showrss']) { echo 'checked="checked"'; } ?> />
</label></td>
    </tr>
    <tr>
      <td valign="top"><strong>   :</strong><br />
      <span class="hinttext">     ,    </span></td>
      <td valign="top"><label></label>
          <select name="createmenu" id="createmenu" style="width:250px">
            <option value="0" selected="selected">--   --</option>
            <option value="mainmenu"> </option>
            <option value="menu1">  1</option>
            <option value="menu2">  2</option>
            <option value="menu3">  3</option>
            <option value="menu4">  4</option>
            <option value="menu5">  5</option>
        </select></td>
    </tr>
  </table>
	{tab=}
	<table width="550" border="0" cellpadding="0" cellspacing="10" class="proptable">
    <tr>
      <td valign="top"><strong> : </strong><br />
          <span class="hinttext">      ,         </span>
      </td>
        <td width="250" valign="top">
            <select name="modgrp_id" id="modgrp_id" style="width:250px">
                <option value="0" <?php if (!isset($mod['modgrp_id']) || @$mod['modgrp_id']==0) { echo 'selected'; }?>> </option>
                <?php
                    if (@$mod['modgrp_id']) {
                        echo $inCore->getListItems('cms_user_groups', $mod['modgrp_id']);
                    }	else {
                        echo $inCore->getListItems('cms_user_groups');
                    }
                ?>
            </select>
        </td>
    </tr>
    <tr>
      <td valign="top"><strong>   :</strong><br />
      <span class="hinttext"> ,         ,      . </span></td>
      <td valign="top"><input name="is_public" type="radio" value="1" checked="checked" <?php if (@$mod['is_public']) { echo 'checked="checked"'; } ?> />

  <label>
  <input name="is_public" type="radio" value="0"  <?php if (@!$mod['is_public']) { echo 'checked="checked"'; } ?> />
</label></td>
    </tr>
	<?php if ($do=='add') { ?>
	<?php } ?>	
  </table>
	{tab=}
	<table width="550" border="0" cellpadding="0" cellspacing="10" class="proptable">
    <tr>
      <td valign="top"><strong> :</strong><br />
      <span class="hinttext">           </span></td>
      <td width="250" valign="top"><select name="album_id" id="album_id" style="width:250px">
        <option value="0" <?php if (!isset($mod['photoalbum']['id']) || @$mod['photoalbum']['id']==-1) { echo 'selected'; }?>>--   --</option>
        <?php  //FIND ROOT
			$rootid = dbGetField('cms_photo_albums', 'parent_id=0', 'id');
		?>
                        <?php if (isset($mod['photoalbum']['id'])){ 
								echo $inCore->getListItemsNS('cms_photo_albums', $mod['photoalbum']['id']);
						  } else {
						  		echo $inCore->getListItemsNS('cms_photo_albums');
						  }								
					?>
      </select></td>
    </tr>
    <tr class="pa">
      <td valign="top"><strong>  : </strong></td>
      <?php if(!isset($mod['photoalbum']['titles'])) { $mod['photoalbum']['titles'] = 0; } ?>
      <td valign="top"><input name="album_titles" type="radio" value="1" checked="checked" <?php if (@$mod['photoalbum']['titles']) { echo 'checked="checked"'; } ?> />
        
        <label>
      <input name="album_titles" type="radio" value="0"  <?php if (@!$mod['photoalbum']['titles']) { echo 'checked="checked"'; } ?> />
          </label></td>
    </tr>
    <tr class="pa">
	<?php if(!isset($mod['photoalbum']['header'])) { $mod['photoalbum']['header'] = '  '; } ?>
      <td valign="top"><strong>:</strong><br />
      <span class="hinttext">  </span></td>
      <td valign="top"><input name="album_header" type="text" id="album_header" style="width:250px" value="<?php echo @$mod['photoalbum']['header'];?>" /></td>
    </tr>
    <tr class="pa">
      <td><strong> : </strong></td>
	  <?php if(!isset($mod['photoalbum']['orderby'])) { $mod['photoalbum']['orderby'] = 'pubdate'; } ?>
	  <?php if(!isset($mod['photoalbum']['orderto'])) { $mod['photoalbum']['orderto'] = 'desc'; } ?>
      <td><select name="album_orderby" id="album_orderby" style="width:250px">
          <option value="title" <?php if(@$mod['photoalbum']['orderby']=='title') { echo 'selected'; } ?>> </option>
          <option value="pubdate" <?php if(@$mod['photoalbum']['orderby']=='pubdate') { echo 'selected'; } ?>> </option>
          <option value="rating" <?php if(@$mod['photoalbum']['orderby']=='rating') { echo 'selected'; } ?>> </option>
          <option value="hits" <?php if(@$mod['photoalbum']['orderby']=='hits') { echo 'selected'; } ?>> </option>
        </select>
          <select name="album_orderto" id="album_orderto" style="width:250px">
            <option value="desc" <?php if(@$mod['photoalbum']['orderto']=='desc') { echo 'selected'; } ?>> </option>
            <option value="asc" <?php if(@$mod['photoalbum']['orderto']=='asc') { echo 'selected'; } ?>> </option>
        </select></td>
    </tr>
    <tr class="pa">
      <td><strong>   :</strong></td>
	  <?php if(!isset($mod['photoalbum']['maxcols'])) { $mod['photoalbum']['maxcols'] = 2; } ?>
      <td><input name="album_maxcols" type="text" id="album_maxcols" size="5" value="<?php echo @$mod['photoalbum']['maxcols'];?>"/>
        </td>
    </tr>
    <tr class="pa">
      <td><strong> :</strong></td>
      <?php if(!isset($mod['photoalbum']['max'])) { $mod['photoalbum']['max'] = 8; } ?>
      <td><input name="album_max" type="text" id="album_max" size="5" value="<?php echo @$mod['photoalbum']['max'];?>"/>
        </td>
    </tr>
  </table>
  {/tabs}
   <?php echo jwTabs(ob_get_clean()); ?>
  <table width="100%" border="0">
    <tr><td>
      <?php
				echo '<h3> </h3>';			
                $inCore->insertEditor('description', $mod['description'], '200', '605');
			?>
    </td></tr>
  </table>
  <p>
    <label>
      <input name="add_mod" type="submit" id="add_mod" <?php if ($do=='add') { echo 'value=" "'; } else { echo 'value=" "'; } ?> />
    </label>
    <label><span style="margin-top:15px">
      <input name="back" type="button" id="back" value="" onclick="window.history.back();"/>
      </span></label>
    <input name="do" type="hidden" id="do" <?php if ($do=='add') { echo 'value="submit"'; } else { echo 'value="update"'; } ?> />
    <?php
		  	if ($do=='edit'){
			 echo '<input name="id" type="hidden" value="'.$mod['id'].'" />';
			}
		  ?>
  </p>
</form>
<?php
   }
}
?>
